---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libMethodBind.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52530, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54470, symBinAddr: 0xE250, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54860, symBinAddr: 0xE640, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55800, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55810, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0x6CF10, symBinAddr: 0x26CF0, symSize: 0x0 }
  - { offsetInCU: 0x8DA9, offset: 0x8DA9, size: 0x8, addend: 0x0, symName: _iGlobalStatus, symObjAddr: 0x6CF18, symBinAddr: 0x26CF8, symSize: 0x0 }
  - { offsetInCU: 0x8DBE, offset: 0x8DBE, size: 0x8, addend: 0x0, symName: _jraw_monitor, symObjAddr: 0x70DA0, symBinAddr: 0x26D00, symSize: 0x0 }
  - { offsetInCU: 0x8DDF, offset: 0x8DDF, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0x70E44, symBinAddr: 0x26DA4, symSize: 0x0 }
  - { offsetInCU: 0x8DF4, offset: 0x8DF4, size: 0x8, addend: 0x0, symName: _findLoadedClass_func, symObjAddr: 0x70E48, symBinAddr: 0x26DA8, symSize: 0x0 }
  - { offsetInCU: 0x8E2E, offset: 0x8E2E, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x52070, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8E39, offset: 0x8E39, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x52074, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x8E44, offset: 0x8E44, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x52078, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x8E89, offset: 0x8E89, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x521D0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x8F02, offset: 0x8F02, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52288, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F20, offset: 0x8F20, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5228C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8F39, offset: 0x8F39, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52290, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8F52, offset: 0x8F52, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52294, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x8F6B, offset: 0x8F6B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52298, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F84, offset: 0x8F84, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x522A0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x900D, offset: 0x900D, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x522B8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9026, offset: 0x9026, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x522C0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x903F, offset: 0x903F, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x522C8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9058, offset: 0x9058, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x522D0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9072, offset: 0x9072, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x522D8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9158, offset: 0x9158, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x52320, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9171, offset: 0x9171, size: 0x8, addend: 0x0, symName: __ZL10jvmti_caps, symObjAddr: 0x52458, symBinAddr: 0xC2F8, symSize: 0x0 }
  - { offsetInCU: 0x91C3, offset: 0x91C3, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x40E0, symSize: 0x80 }
  - { offsetInCU: 0x9258, offset: 0x9258, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4030, symSize: 0xB0 }
  - { offsetInCU: 0x92B3, offset: 0x92B3, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3F30, symSize: 0x100 }
  - { offsetInCU: 0x9546, offset: 0x9546, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4160, symSize: 0x220 }
  - { offsetInCU: 0x972B, offset: 0x972B, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4380, symSize: 0xA0 }
  - { offsetInCU: 0x97DE, offset: 0x97DE, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4420, symSize: 0x110 }
  - { offsetInCU: 0x98D4, offset: 0x98D4, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4530, symSize: 0x150 }
  - { offsetInCU: 0x9A31, offset: 0x9A31, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4680, symSize: 0x30 }
  - { offsetInCU: 0x9B12, offset: 0x9B12, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x46B0, symSize: 0x150 }
  - { offsetInCU: 0x9D0A, offset: 0x9D0A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4800, symSize: 0x160 }
  - { offsetInCU: 0x9E96, offset: 0x9E96, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4960, symSize: 0x1B0 }
  - { offsetInCU: 0xA0B1, offset: 0xA0B1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4B10, symSize: 0xA0 }
  - { offsetInCU: 0xA1AC, offset: 0xA1AC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4BB0, symSize: 0x20 }
  - { offsetInCU: 0xA1E3, offset: 0xA1E3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4BD0, symSize: 0x20 }
  - { offsetInCU: 0xA21A, offset: 0xA21A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4BF0, symSize: 0x20 }
  - { offsetInCU: 0xA3ED, offset: 0xA3ED, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4C10, symSize: 0x1A0 }
  - { offsetInCU: 0xA713, offset: 0xA713, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4DB0, symSize: 0x80 }
  - { offsetInCU: 0xA7DC, offset: 0xA7DC, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4E30, symSize: 0x6A0 }
  - { offsetInCU: 0xB371, offset: 0xB371, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA4C0, symBinAddr: 0x6430, symSize: 0xB0 }
  - { offsetInCU: 0xB3E8, offset: 0xB3E8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x54D0, symSize: 0x70 }
  - { offsetInCU: 0xB4DC, offset: 0xB4DC, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5540, symSize: 0xA0 }
  - { offsetInCU: 0xB613, offset: 0xB613, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x55E0, symSize: 0x40 }
  - { offsetInCU: 0xB709, offset: 0xB709, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5620, symSize: 0x2B0 }
  - { offsetInCU: 0xBAAF, offset: 0xBAAF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x58D0, symSize: 0xC0 }
  - { offsetInCU: 0xBBF5, offset: 0xBBF5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5990, symSize: 0x10 }
  - { offsetInCU: 0xBCB7, offset: 0xBCB7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x59A0, symSize: 0x220 }
  - { offsetInCU: 0xBFB4, offset: 0xBFB4, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5BC0, symSize: 0x10 }
  - { offsetInCU: 0xC011, offset: 0xC011, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5BD0, symSize: 0x1E0 }
  - { offsetInCU: 0xC2B3, offset: 0xC2B3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DF0, symBinAddr: 0x5DB0, symSize: 0x10 }
  - { offsetInCU: 0xC310, offset: 0xC310, size: 0x8, addend: 0x0, symName: _debug_printf, symObjAddr: 0x9E00, symBinAddr: 0x5DC0, symSize: 0xC0 }
  - { offsetInCU: 0xC344, offset: 0xC344, size: 0x8, addend: 0x0, symName: _vmInit, symObjAddr: 0x9EC0, symBinAddr: 0x5E80, symSize: 0x20 }
  - { offsetInCU: 0xC388, offset: 0xC388, size: 0x8, addend: 0x0, symName: _vmExit, symObjAddr: 0x9EE0, symBinAddr: 0x5EA0, symSize: 0x20 }
  - { offsetInCU: 0xC3C1, offset: 0xC3C1, size: 0x8, addend: 0x0, symName: _my_findLoadedClass, symObjAddr: 0x9F00, symBinAddr: 0x5EC0, symSize: 0x50 }
  - { offsetInCU: 0xC48C, offset: 0xC48C, size: 0x8, addend: 0x0, symName: _testNativeMethodBind, symObjAddr: 0x9F50, symBinAddr: 0x5F10, symSize: 0xD0 }
  - { offsetInCU: 0xC600, offset: 0xC600, size: 0x8, addend: 0x0, symName: _print_method_name, symObjAddr: 0xA020, symBinAddr: 0x5FE0, symSize: 0xD0 }
  - { offsetInCU: 0xC772, offset: 0xC772, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_MethodBind_JvmtiTest_GetResult, symObjAddr: 0xA140, symBinAddr: 0x60B0, symSize: 0x10 }
  - { offsetInCU: 0xC7A6, offset: 0xC7A6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_MethodBind_JvmtiTest_CreateRawMonitor, symObjAddr: 0xA150, symBinAddr: 0x60C0, symSize: 0xB0 }
  - { offsetInCU: 0xC853, offset: 0xC853, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_MethodBind_JvmtiTest_RawMonitorEnter, symObjAddr: 0xA200, symBinAddr: 0x6170, symSize: 0x60 }
  - { offsetInCU: 0xC8E0, offset: 0xC8E0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_MethodBind_JvmtiTest_RawMonitorExit, symObjAddr: 0xA260, symBinAddr: 0x61D0, symSize: 0x60 }
  - { offsetInCU: 0xC96D, offset: 0xC96D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_MethodBind_JvmtiTest_RawMonitorWait, symObjAddr: 0xA2C0, symBinAddr: 0x6230, symSize: 0x60 }
  - { offsetInCU: 0xCA27, offset: 0xCA27, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_MethodBind_JvmtiTest_RawMonitorNotify, symObjAddr: 0xA320, symBinAddr: 0x6290, symSize: 0x60 }
  - { offsetInCU: 0xCAE0, offset: 0xCAE0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_MethodBind_JvmtiTest_GetFrameCount, symObjAddr: 0xA380, symBinAddr: 0x62F0, symSize: 0x60 }
  - { offsetInCU: 0xCBE7, offset: 0xCBE7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_MethodBind_JvmtiTest_GetStackTrace, symObjAddr: 0xA3E0, symBinAddr: 0x6350, symSize: 0xD0 }
  - { offsetInCU: 0xCD45, offset: 0xCD45, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_MethodBind_JvmtiTest_SaveThreadInfo, symObjAddr: 0xA4B0, symBinAddr: 0x6420, symSize: 0x10 }
  - { offsetInCU: 0xCD87, offset: 0xCD87, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA570, symBinAddr: 0x64E0, symSize: 0x36A }
...
